wxWidgets: wxPGSpinCtrlEditor Class Reference

| Version: 3.0.4

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxPGSpinCtrlEditor Class Reference

`#include <wx/propgrid/advprops.h>`

Inheritance diagram for wxPGSpinCtrlEditor:
[legend]

## Public Member Functions
virtual | ~wxPGSpinCtrlEditor ()
wxString | GetName () const
| Returns pointer to the name of the editor. More...
virtual wxPGWindowList | CreateControls (wxPropertyGrid *propgrid, wxPGProperty *property, const wxPoint &pos, const wxSize &size) const
| Instantiates editor controls. More...
virtual bool | OnEvent (wxPropertyGrid *propgrid, wxPGProperty *property, wxWindow *wnd, wxEvent &event) const
| Handles events. More...
Public Member Functions inherited from wxPGTextCtrlEditor
| wxPGTextCtrlEditor ()
virtual | ~wxPGTextCtrlEditor ()
virtual void | UpdateControl (wxPGProperty *property, wxWindow *ctrl) const
| Loads value from property to the control. More...
virtual bool | GetValueFromControl (wxVariant &variant, wxPGProperty *property, wxWindow *ctrl) const
| Returns value from control, via parameter 'variant'. More...
virtual void | SetControlStringValue (wxPGProperty *property, wxWindow *ctrl, const wxString &txt) const
| Sets control's value specifically from string. More...
virtual void | OnFocus (wxPGProperty *property, wxWindow *wnd) const
| Extra processing when control gains focus. More...
Public Member Functions inherited from wxPGEditor
| wxPGEditor ()
| Constructor. More...
virtual | ~wxPGEditor ()
| Destructor. More...
virtual void | DrawValue (wxDC &dc, const wxRect &rect, wxPGProperty *property, const wxString &text) const
| Draws value for given property. More...
virtual void | SetValueToUnspecified (wxPGProperty *property, wxWindow *ctrl) const
| Sets value in control to unspecified. More...
virtual void | SetControlAppearance (wxPropertyGrid *pg, wxPGProperty *property, wxWindow *ctrl, const wxPGCell &appearance, const wxPGCell &oldAppearance, bool unspecified) const
| Called by property grid to set new appearance for the control. More...
virtual void | SetControlIntValue (wxPGProperty *property, wxWindow *ctrl, int value) const
| Sets control's value specifically from int (applies to choice etc.). More...
virtual int | InsertItem (wxWindow *ctrl, const wxString &label, int index) const
| Inserts item to existing control. More...
virtual void | DeleteItem (wxWindow *ctrl, int index) const
| Deletes item from existing control. More...
virtual bool | CanContainCustomImage () const
| Returns true if control itself can contain the custom image. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Static Public Member Functions inherited from wxPGTextCtrlEditor
static bool | OnTextCtrlEvent (wxPropertyGrid *propgrid, wxPGProperty *property, wxWindow *ctrl, wxEvent &event)
static bool | GetTextCtrlValueFromControl (wxVariant &variant, wxPGProperty *property, wxWindow *ctrl)
Public Attributes inherited from wxPGEditor
void * | m_clientData
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

virtual wxPGSpinCtrlEditor::~wxPGSpinCtrlEditor | ( |  | ) |
| virtual

## Member Function Documentation

virtual wxPGWindowList wxPGSpinCtrlEditor::CreateControls | ( | wxPropertyGrid * | propgrid,
|  | wxPGProperty * | property,
|  | const wxPoint & | pos,
|  | const wxSize & | size
| ) |  | const
| virtual

Instantiates editor controls.

Parameters

  propgrid | wxPropertyGrid to which the property belongs (use as parent for control).
  property | Property for which this method is called.
  pos | Position, inside wxPropertyGrid, to create control(s) to.
  size | Initial size for control(s).

Remarks
  - Primary control shall use id wxPG_SUBID1, and secondary (button) control shall use wxPG_SUBID2.
  - Unlike in previous version of wxPropertyGrid, it is no longer necessary to call wxEvtHandler::Connect() for interesting editor events. Instead, all events from control are now automatically forwarded to wxPGEditor::OnEvent() and wxPGProperty::OnEvent().

Reimplemented from wxPGTextCtrlEditor.

wxString wxPGSpinCtrlEditor::GetName | ( |  | ) | const
| virtual

Returns pointer to the name of the editor.

For example, wxPGEditor_TextCtrl has name "TextCtrl". If you dont' need to access your custom editor by string name, then you do not need to implement this function.

Reimplemented from wxPGTextCtrlEditor.

virtual bool wxPGSpinCtrlEditor::OnEvent | ( | wxPropertyGrid * | propgrid,
|  | wxPGProperty * | property,
|  | wxWindow * | wnd_primary,
|  | wxEvent & | event
| ) |  | const
| virtual

Handles events.

Returns true if value in control was modified (see wxPGProperty::OnEvent() for more information).

Remarks
  wxPropertyGrid will automatically unfocus the editor when `wxEVT_TEXT_ENTER` is received and when it results in property value being modified. This happens regardless of editor type (ie. behaviour is same for any wxTextCtrl and wxComboBox based editor).

Reimplemented from wxPGTextCtrlEditor.